Skip to main content
GET
Get message for contact

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier
string
required

Contact identifier: the numeric contact id, an email address, or a phone number.

Minimum string length: 1
messageId
string
required

Message id (numeric string).

Pattern: ^\d+$

Response

OK

id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
conversationId
string
required
contactInboxId
string
required
workspaceId
string
required
text
string | null
required
contentAttributes
required
messageType
enum<string>
required
Available options:
incoming,
outgoing,
activity
contentType
enum<string>
required
Available options:
text,
location,
refLink
senderType
enum<string>
required
Available options:
bot,
contact,
system,
user,
api
sourceId
string | null
required
deletedAt
string<date-time> | null
required
type
enum<string>
required
Available options:
message,
comment
parentId
string | null
required
attributes
required
sendError
string | null
required
senderId
unknown
clientId
string
Pattern: ^\d+$
attachmentCount
number
attachments
object[]
user
object
contact
object